summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Niels Horn2010-11-26 00:02:21 +0100
committer Heinz Wiesinger2010-11-26 00:02:21 +0100
commit47f69385d777c3a4b73b2c815a2fe669853d4504 (patch)
treed7fcbe1311d37cfaffe4140c84f3d188a96b96b2 /system
parentda2dfb1a62b2ab523807dac96813a899e6add7db (diff)
downloadslackbuilds-47f69385d777c3a4b73b2c815a2fe669853d4504.tar.gz
system/cdemu-client: Added. (command-line client for CDEmu-daemon)
Signed-off-by: Heinz Wiesinger <pprkut@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/cdemu-client/README6
-rw-r--r--system/cdemu-client/cdemu-client.SlackBuild93
-rw-r--r--system/cdemu-client/cdemu-client.desktop13
-rw-r--r--system/cdemu-client/cdemu-client.info10
-rw-r--r--system/cdemu-client/cdemu-client.pngbin0 -> 30324 bytes
-rw-r--r--system/cdemu-client/doinst.sh18
-rw-r--r--system/cdemu-client/slack-desc19
7 files changed, 159 insertions, 0 deletions
diff --git a/system/cdemu-client/README b/system/cdemu-client/README
new file mode 100644
index 0000000000..905a611d33
--- /dev/null
+++ b/system/cdemu-client/README
@@ -0,0 +1,6 @@
+CDEmu client is a simple command-line client for controlling CDEmu-daemon.
+It provides a way to perform the key tasks related to controlling the
+CDEmu daemon, such as loading and unloading devices, displaying devices'
+status and retrieving/setting devices' debug masks.
+
+This requires cdemu-daemon.
diff --git a/system/cdemu-client/cdemu-client.SlackBuild b/system/cdemu-client/cdemu-client.SlackBuild
new file mode 100644
index 0000000000..109998bfd3
--- /dev/null
+++ b/system/cdemu-client/cdemu-client.SlackBuild
@@ -0,0 +1,93 @@
+#!/bin/sh
+
+# Slackware build script for cdemu-client
+# command-line client for cdemu-daemon
+
+# Written by Niels Horn <niels.horn@gmail.com>
+# Revision date: 2010/10/31
+
+PRGNAM=cdemu-client
+VERSION=${VERSION:-1.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+GROUP=${GROUP:-cdrom}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+rw,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib$LIBDIRSUFFIX \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Create standard cdemu-client.conf
+# Since the standard cdemu-daemon package uses the --daemonize option,
+# we'll need to use the system dbus instead of the session dbus
+mkdir -p $PKG/etc
+cat > $PKG/etc/cdemu-client.conf.new << EOF
+[defaults]
+bus=system
+EOF
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cat $CWD/cdemu-client.desktop > $PKG/usr/share/applications/cdemu-client.desktop
+cat $CWD/cdemu-client.png > $PKG/usr/share/pixmaps/cdemu-client.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS ChangeLog COPYING INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/cdemu-client/cdemu-client.desktop b/system/cdemu-client/cdemu-client.desktop
new file mode 100644
index 0000000000..482d40d87d
--- /dev/null
+++ b/system/cdemu-client/cdemu-client.desktop
@@ -0,0 +1,13 @@
+[Desktop Entry]
+Version=1.0
+Type=Application
+Name=CDEmu
+Comment=Client for handling optical media (CD/DVD) images
+NoDisplay=true
+TryExec=cdemu
+Exec=cdemu load any %F
+MimeType=application/libmirage-image;application/x-cd-image;application/x-cue;application/x-cdrdao-toc
+Icon=cdemu-client
+Terminal=false
+Categories=System;
+
diff --git a/system/cdemu-client/cdemu-client.info b/system/cdemu-client/cdemu-client.info
new file mode 100644
index 0000000000..f53ceed5fc
--- /dev/null
+++ b/system/cdemu-client/cdemu-client.info
@@ -0,0 +1,10 @@
+PRGNAM="cdemu-client"
+VERSION="1.3.0"
+HOMEPAGE="http://cdemu.sourceforge.net/pkg_client.php"
+DOWNLOAD="http://downloads.sourceforge.net/cdemu/cdemu-client-1.3.0.tar.gz"
+MD5SUM="e1789ec4f839e9dbdb5db88e3923d7ae"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Niels Horn"
+EMAIL="niels.horn@gmail.com"
+APPROVED="pprkut"
diff --git a/system/cdemu-client/cdemu-client.png b/system/cdemu-client/cdemu-client.png
new file mode 100644
index 0000000000..a03b315e8c
--- /dev/null
+++ b/system/cdemu-client/cdemu-client.png
Binary files differ
diff --git a/system/cdemu-client/doinst.sh b/system/cdemu-client/doinst.sh
new file mode 100644
index 0000000000..05da157bfd
--- /dev/null
+++ b/system/cdemu-client/doinst.sh
@@ -0,0 +1,18 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database usr/share/applications >/dev/null 2>&1
+fi
+
+config etc/cdemu-client.conf.new
+
diff --git a/system/cdemu-client/slack-desc b/system/cdemu-client/slack-desc
new file mode 100644
index 0000000000..137398b3a5
--- /dev/null
+++ b/system/cdemu-client/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+cdemu-client: CDEmu-client (command-line client for CDEmu-daemon)
+cdemu-client:
+cdemu-client: CDEmu client is a simple command-line client for controlling CDEmu-
+cdemu-client: daemon.
+cdemu-client: It provides a way to perform the key tasks related to controlling the
+cdemu-client: CDEmu daemon, such as loading and unloading devices, displaying
+cdemu-client: devices' status and retrieving/setting devices' debug masks.
+cdemu-client:
+cdemu-client: Homepage: http://cdemu.sourceforge.net/pkg_client.php
+cdemu-client:
+cdemu-client: